DAPTUP(8)

NAME
daptup - plugin for apt[itude] and cupt to list repository changes

SYNOPSIS
daptup ( --pre | --post | --last ) [ -h | --help ] [ --nocolor ]

OPTIONS

--pre
    Do only 'pre' stage: collect info that will be used as 'old'. Usually need to be specified only in apt hooks.

--post
    Do only 'post' stage: collect 'new' info and (if appropriate option is enabled in config file) output changes. Usually need to be specified only in apt hooks.

--last
    Output changes only. This option is supposed to be specified when you want to see changes made in the last update. Note that list of outdated packages, if daptup is configured to output it, will be rebuilt.

-h --help
    prints the help

--nocolor
    Disables color output, useful for scripts or when output is not terminal. Now works only with --last option, however, you can disable color globally in configuration file.

daptup is a script that outputs list of packages recently entered to repo, list of packages which got new updates, list of changes in 'watched' packages and, optionally, list of outdated packages.

Starting with 0.8.0 version, daptup uses apt hooks and you don't need to explicitly call it. It will be called automatically by all the supported package managers.

TROUBLESHOOTING

If daptup was interrupted while building the lists, the cached lists can stay in inconsistent state, which is inappropriate if you want to use --last option before the new update. There is nothing to do if interrupt occurred at the moment when old lists were building (besides running the new update). However, if interrupt occurred when the new lists were building, you can easily redo this stage by calling 'daptup --post'.

FILES

/etc/daptup.conf
    self-documented configuration file

/var/spool/daptup/outdated
    cached file with info about outdated packages

SEE ALSO
apt-get(8), aptitude(8), cupt(1)

AUTHOR
daptup was written by Eugene V. Lyubimkin.

This manual page was written by Eugene V. Lyubimkin <jackyf@debian.org>, for the Debian project (but may be used by others).